cmake_minimum_required(VERSION 3.24)

set(CMAKE_CXX_STANDARD 23)

set(CMAKE_EXPORT_COMPILE_COMMANDS ON)

if(APPLE)
  set(CMAKE_OSX_DEPLOYMENT_TARGET 26.0)
endif()

set(CMAKE_TOOLCHAIN_FILE
  ${CMAKE_CURRENT_SOURCE_DIR}/Seele/external/vcpkg/scripts/buildsystems/vcpkg.cmake)

project(FluidSimulation)

set(CMAKE_DEBUG_POSTFIX "")
set(CMAKE_SHARED_LIBRARY_PREFIX "")
set(CMAKE_RUNTIME_OUTPUT_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR})
set(CMAKE_RUNTIME_OUTPUT_DIRECTORY_DEBUG ${CMAKE_CURRENT_BINARY_DIR})
set(CMAKE_RUNTIME_OUTPUT_DIRECTORY_RELEASE ${CMAKE_CURRENT_BINARY_DIR})

add_subdirectory(Seele/)

add_library(FluidSimulation SHARED "")
target_link_libraries(FluidSimulation PRIVATE Engine)
target_include_directories(FluidSimulation PRIVATE src/)
add_subdirectory(src/)
